/* ------------------ 最新の研究 ------------------ */
.open-page {
  color: rgb(204, 200, 241);
}

.sp-on {
  display: none;
}

/* ------------------ All Posts ------------------ */
#detail-posts {
  padding: 3% 8% 8%;
  color: #3e3a39;
  background-color: rgb(105, 136, 138);
}

.detail-link-all-posts {
  font-size: clamp(10px, 2vw, 26px);
  font-weight: 500;
  display: inline-block;
  margin-bottom: 6%;
}

.detail-posts-area {
  background-color: #ffffff;
  position: relative;
  padding: 8% 10%;
  margin-bottom: 10%;
  word-break: break-all;
  line-height: 1.6;
}

.detail-posts-area p{
  margin-bottom: 3%;
  line-height: 2;
  font-size: clamp(10px, 2vw, 18px);
}

.detail-account-area {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 4%;
}

.detail-account-area-wrapper {
  display: flex;
  justify-content: left;
  align-items: center;
}

.detail-account-photo {
  width: 15%;
  border-radius: 100px;
  margin-right: 4%;
}

.detail-account {
  font-size: clamp(10px, 1.5vw, 19px);
  flex-shrink: 0;
}

.share-bt {
  width: 3%;
  padding: 0 1%;
}

.detail-posts-title {
  font-size: clamp(10px, 3.5vw, 36px);
  font-weight: 500px;
  margin-bottom: 4%;
}

.detail-posts-content {
  font-size: clamp(10px, 2vw, 26px);
  font-weight: 400;
  line-height: 1.5;
  margin-bottom: 5%;
}

.detail-posts-photo {
  width: 100%;
  margin-bottom: 5%;
}

.detail-posts-link-area {
  display: flex;
  align-items: center;
  gap: 5%;
  border-top: solid 1px #3e3e29;
  border-bottom: solid 1px #3e3e29;
  padding: 3% 0;
  margin-bottom: 3%;
}

.detail-posts-link-logo {
  width: 4%;
}

.detail-posts-meta-area {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.detail-posts-count {
  font-size: clamp(10px, 1.5vw, 19px);
  font-weight: 500;
}

.favorite {
  width: 3%;
}

.favorite:hover {
  cursor: pointer;
}

.share-post {
  position: absolute;
  top: 7%;
  right: 15%;
  background-color: #ffffff;
  padding: 2%;
  font-size: clamp(10px, 2vw, 26px);
  font-weight: 500;
  box-shadow: 5px 5px 10px 0 #e0dcdb;
  display: none;
}

.arrow-photo {
  width: 18%;
  margin-right: 5%;
}

/* .recent-posts-area {} */

.recent-posts-title-area {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5%;
}

.recent-posts-title {
  font-size: clamp(10px, 2.5vw, 32px);
  font-weight: 500;
}

.link-see-all {
  font-size: clamp(10px, 2vw, 26px);
  font-weight: 500;
}

.recent-posts-area-wrapper {
  display: flex;
  justify-content: space-between;
  margin-bottom: 5%;
}

.recent-posts {
  width: 32%;
  background-color: #ffffff;
}

.posts-photo {
  display: inline-block;
  margin-bottom: 5%;
}

.posts-title {
  font-size: clamp(10px, 2vw, 26px);
  display: inline-block;
  padding: 0 5%;
  margin-bottom: 5%;
}

.posts-meta-area {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: solid 1px #3e3e29;
  padding: 5% 0;
  margin: 0 5%;
}

.count-area {
  display: flex;
  align-self: center;
  font-size: clamp(10px, 1.5vw, 19px);
  font-weight: 500;
}

.view-logo {
  width: 20%;
}

.comment-logo {
  width: 20%;
  margin-left: 10%;
}

.count {
  margin-left: 5%;
}

.favorite-adjustment {
  width: 8%;
}

.comments-area {
  background-color: #ffffff;
  padding: 10%;
  font-size: clamp(10px, 2vw, 26px);
}
.comments-area img{
  width: auto;
}

.comments-area p{
font-size: clamp(10px, 1.5vw, 19px);
margin: 15px 0;
}
.comments-area input{
  border: 1px solid #000;
  padding: 10px 15px;
  margin: 15px 0;
}

.comments-title {
  padding-bottom: 2%;
  border-bottom: solid 1px #3e3e29;
  margin-bottom: 5%;
}

.comments-text-area {
  width: 100%;
  border: solid 1px #3e3e29;
  padding: 3% 0 0 2%;
}


/* ------------------ Share Post ------------------ */
#share-post-window {
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 100;
  width: 100vw;
  max-width: 1280px;
  height: 100vh;
  display: none;
}

#share-post-cancel {
  width: 5%;
  position: absolute;
  top: 3%;
  right: 3%;
}

.share-post-area {
  text-align: center;
  background-color: #ffffff;
  width: 50%;
  padding: 8%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.share-post-title {
  font-size: clamp(10px, 2.5vw, 32px);
  font-weight: 500;
  margin-bottom: 10%;
}

.share-post-sns-area {
  display: flex;
  justify-content: center;
  gap: 15%;
}

.sns-icon {
  width: 20%;
}

.detail-posts-area hr{
  padding: 0 0 45px 0;
  margin-top: 45px;
}


/* ------------------ SP ------------------ */
@media screen and (max-width: 960px) {
  .sp-on {
    display: block;
  }

  .sp-off {
    display: none;
  }

  /* ------------------ All Posts SP ------------------ */
  #detail-posts {
    padding: 3% 0 8%;
  }

  .detail-link-all-posts {
    font-size: clamp(10px, 4vw, 51px);
    margin: 0 0 3% 5%;
  }

  .detail-posts-area {
    padding: 8% 5%;
    margin-bottom: 10%;
  }

   .detail-posts-area img,
   .detail-posts-content,
   .detail-posts-content div{
    max-width: 100% !important;
   }

  .detail-posts-area p {
    margin-bottom: 30px;
    line-height: 2;
    font-size: clamp(16px, 2vw, 18px);
}

.detail-posts-area hr{
  padding: 0 0 45px 0;
  margin-top: 45px;
}

  .detail-account-area {
    margin-bottom: 4%;
  }

  .detail-account-photo {
    width: 20%;
    margin-right: 5%;
  }

  .detail-account {
    font-size: clamp(10px, 4vw, 51px);

  }

  .share-bt {
    width: 3%;
    padding: 0 1%;
  }

  .detail-posts-title {
    font-size: clamp(16px, 6vw, 90px);
    margin-bottom: 5%;
  }

  .detail-posts-content {
    font-size: clamp(10px, 4.5vw, 58px);
    margin-bottom: 5%;
  }


  .detail-posts-photo {
    margin-bottom: 30px;
  }

  .detail-posts-link-area {
    gap: 8%;
    padding: 3% 0;
    margin-bottom: 3%;
  }

  .detail-posts-link-logo {
    width: 8%;
  }

  .detail-posts-count {
    font-size: clamp(10px, 4vw, 51px);
  }

  .favorite {
    width: 5%;
  }

  .share-post {
    top: 5%;
    right: 13%;
    padding: 5%;
    font-size: clamp(10px, 5vw, 64px);
    box-shadow: 10px 10px 10px 0 #e0dcdb;
    width: 45%;
  }

  .arrow-photo {
    width: 18%;
    margin-right: 8%;
  }

  .recent-posts-title-area {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5%;
    margin-bottom: 5%;
  }

  .recent-posts-title {
    font-size: clamp(10px, 6vw, 77px);
  }

  .link-see-all {
    font-size: clamp(10px, 4.5vw, 58px);
  }

  .recent-posts-area-wrapper {
    gap: 5%;
    margin-bottom: 5%;
    overflow: scroll;
  }

  .recent-posts {
    width: 75%;
    flex-shrink: 0;
  }

  .posts-photo {
    margin-bottom: 5%;
  }

  .posts-title {
    font-size: clamp(10px, 4vw, 51px);
    padding: 0 5%;
    margin-bottom: 5%;
  }

  .posts-meta-area {
    padding: 5% 0;
    margin: 0 5%;
  }

  .count-area {
    align-items: center;
    font-size: clamp(10px, 4vw, 51px);
  }

  .view-logo {
    width: 22%;
  }

  .comment-logo {
    width: 22%;
    margin-left: 15%;
  }

  .count {
    margin-left: 5%;
  }

  .favorite-adjustment {
    width: 7%;
  }

  .comments-area {
    padding: 10% 0;
    font-size: clamp(10px, 4.5vw, 58px);
  }

  .comments-title {
    padding-bottom: 4%;
    padding: 0 0 4% 5%;
    margin-bottom: 8%;
  }

  .comments-text-area {
    width: 90%;
    padding: 4.5% 0 0 2%;
    margin: 0 5%;
  }

  .detail-account-area-wrapper p {
line-height: .5;
}

  /* ------------------ Share Post ------------------ */
  #share-post-cancel {
    width: 8%;
    top: 2%;
    right: 4%;
  }

  .share-post-area {
    width: 70%;
    padding: 8%;
  }

  .share-post-title {
    font-size: clamp(10px, 5.5vw, 70px);
    margin-bottom: 10%;
  }

  .share-post-sns-area {
    gap: 10%;
  }

  .sns-icon {
    width: 20%;
    flex-shrink: 0;
  }
}